#extension GL_OES_EGL_image_external : enable 
precision highp float;

uniform samplerExternalOES uTexture;
varying vec2 vTextureCoord;
varying vec4 vPosition;
uniform int index;

void main() {
      float blackRadius = 0.005;

      if(index == 0){
        if(vTextureCoord.x > 0.5){
            gl_FragColor = vec4(0.0,0.0,0.0,1.0);
        }else{
            gl_FragColor = texture2D(uTexture,vTextureCoord);
            if(vTextureCoord.x < blackRadius){
                gl_FragColor.a = vTextureCoord.x * (1.0 / blackRadius);
            }else if(vTextureCoord.x > 0.5 - blackRadius){
                gl_FragColor.a = ( 0.5 - vTextureCoord.x) * (1.0 / blackRadius);
            }
        }
     }else{
        if(vTextureCoord.x > 0.5){
            gl_FragColor = vec4(0.0,0.0,0.0,1.0);
        }else{
            vec2 textureCoord = vec2(vTextureCoord.x + 0.5 , vTextureCoord.y);
            gl_FragColor = texture2D(uTexture,textureCoord);
            if(vTextureCoord.x < blackRadius){
                gl_FragColor.a = vTextureCoord.x * (1.0 / blackRadius);
            }else if(vTextureCoord.x > 0.5 - blackRadius){
                gl_FragColor.a = ( 0.5 - vTextureCoord.x) * (1.0 / blackRadius);
            }
        }
     }

}