precision highp float;
uniform sampler2D uTexture;
varying vec2 vTextureCoord;
varying vec4 vPosition;
uniform float uWidth;
uniform float uHeight;
uniform float uRadius;
uniform float uAngle;
uniform float uRotation;



void main() {

        float pi = 3.141592653589793;
        vec4 position = vPosition;
    	float phi = atan(sqrt(position.x * position.x + position.z * position.z),position.y);
        vec4 logoColor;
    	float theta = atan(position.z,position.x);
        float deTheta = degrees(theta);
    	theta = radians(mod(deTheta - uRotation + 360.0, 360.0));
    	float r = phi/uAngle * uRadius;
    	float u = r * cos(theta) + uWidth/2.0;
    	float v = r * sin(theta) + uHeight/2.0;
    	u /= uWidth;
    	v /= uHeight;
    	vec2 coord = vec2(u,v);
    	vec2 minVal = vec2(0.0,0.0);
    	vec2 maxVal = vec2(1.0,1.0);
    	vec2 minCoord = max(coord , minVal);
    	vec2 maxCoord = min(coord , maxVal);
    	coord = clamp(coord , minVal ,maxVal);
    	logoColor = texture2D(uTexture,coord);
        gl_FragColor = logoColor;
        if(any(equal(minVal , minCoord)) || any(equal(maxVal , maxCoord))){
            gl_FragColor.a = 0.0;
            gl_FragColor.rgb *= gl_FragColor.a;
        }

}