precision highp float;
uniform sampler2D uTexture;
uniform float uBlendAngle;
uniform float uWidth;
varying vec2 vTextureCoord;
varying vec4 vPosition;
void main() {
    gl_FragColor = texture2D(uTexture,vTextureCoord);
    float angle = (vPosition.x/uWidth + 0.5) * (uBlendAngle + 180.0);
    float x = angle/uBlendAngle;
    if(x > 1.0) {
        x = 1.0;
    }
    float lamda = 5.2;
    float gamma = 1.0/2.2;
    if(x <= 0.5) {
        x = 0.5 * pow(2.0 * x,lamda);
    } else {
        x = 1.0 - 0.5 * pow(2.0 * (1.0 - x),lamda);
    }
   // x = pow(x,gamma);
    gl_FragColor.a = x;
}