#extension GL_OES_EGL_image_external : enable 
precision highp float;

uniform samplerExternalOES uTexture;
uniform float uBlendAngle;
varying vec2 vTextureCoord;
varying vec4 vPosition;

void main() {
    gl_FragColor = texture2D(uTexture,vTextureCoord);
	float pi = 3.141592653589793;
	float angle = atan(sqrt(vPosition.z * vPosition.z + vPosition.y * vPosition.y),-vPosition.x);
	angle = angle / pi * 180.0;
	angle = (uBlendAngle/2.0 + 90.0) - angle;
	if(angle < uBlendAngle) {	
		float x = angle/uBlendAngle;
		if(x > 1.0) {x = 1.0;}
		if(x < 0.0) {x = 0.0;}
   
    	float lamda = 5.2;
	    float gamma = 1.0/2.2;
	    if(x <= 0.5) {
	        x = 0.5 * pow(2.0 * x,lamda);
	    } else {
	        x = 1.0 - 0.5 * pow(2.0 * (1.0 - x),lamda);
	    }
	
	    //x = pow(x,gamma);
	    gl_FragColor.a = x;
    }	 
}