precision highp float;
uniform sampler2D uTexture;
varying vec2 vTextureCoord;
varying vec4 vPosition;
void main() {
	float pi = 3.141592653589793;
	float r = 2.96;
	float radius = 2.0;
	float rblack = 0.05;
    vec2 center = vec2(0.0, 0.0);
    vec2 point = vTextureCoord * 2.0 - 1.0;
    if(point.x == 0.0){
        if(point.y > 0.0){
            center = vec2(0.0 , -radius);
        }else{
            center = vec2(0.0 , radius);
        }
    }else{
        float angle  = atan(point.y ,point.x);
        angle = angle / pi * 180.0;

        if(point.y >= 0.0){
            if(angle >= 45.0 && angle < 135.0 ){
                center = vec2(0.0 , -radius);
            }else if(angle >= 135.0){
                center = vec2(radius , 0.0);
            }else{
                center = vec2(-radius , 0.0);
            }
        }else{
            angle = angle + 180.0;
            if(angle >= 45.0 && angle < 135.0 ){
                center = vec2(0.0 , radius);
            }else if(angle >= 135.0){
                center = vec2(-radius , 0.0);
            }else{
                center = vec2(radius , 0.0);
            }
        }
    }


    float distance = distance(center, point);

    if(distance < r){
        gl_FragColor = texture2D(uTexture,vTextureCoord);
    }else if(distance < r + rblack){
        gl_FragColor = texture2D(uTexture,vTextureCoord);
        gl_FragColor.a = (r + rblack - distance) * (1.0 / rblack);
    }else{
    	gl_FragColor = vec4(0.0,0.0,0.0,1.0);
    }
}


